> For the complete documentation index, see [llms.txt](https://docs.mantic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mantic.dev/server-bot/config-files/ticketsettings-json.md).

# ticketsettings.json

````yaml
{
  "ticketName": "ticket-{id}",
  "ifButtonOnlyShowEmote": false,
  "attachEmote": true,
  "selectionString": "{0} {1}",
  "ticketType": "BUTTON",
  "ticketSettings": {
    "tickets": [
      {
        "category": "General Support",
        "roleIds": [
          0
        ],
        "emote": "😃",
        "buttonStyle": "PRIMARY",
        "embedTitle": "How can we help you?",
        "embedAuthor": "",
        "embedAuthorImage": "",
        "embedDescription": [
          "Thanks {member_tag} for making a ticket!\nPlease state your issue."
        ],
        "embedThumbnail": "{guild_icon}",
        "embedImage": "",
        "embedFooter": "{guild_name}",
        "embedFooterIcon": "{guild_icon}",
        "embedTimestamp": false,
        "embedColour": "",
        "fields": []
      },
      {
        "category": "User Report",
        "roleIds": [
          0
        ],
        "emote": "📝",
        "buttonStyle": "SUCCESS",
        "embedTitle": "Who would you like to report?",
        "embedAuthor": "",
        "embedAuthorImage": "",
        "embedDescription": [
          "Thanks {member_tag} for making a ticket!\nPlease state your issue."
        ],
        "embedThumbnail": "{guild_icon}",
        "embedImage": "",
        "embedFooter": "{guild_name}",
        "embedFooterIcon": "{guild_icon}",
        "embedTimestamp": false,
        "embedColour": "",
        "fields": []
      }
    ],
    "embedTitle": "Create a support ticket",
    "embedAuthor": "",
    "embedAuthorImage": "",
    "embedDescription": [
      "**Please choose the appropriate option**"
    ],
    "embedThumbnail": "{guild_icon}",
    "embedImage": "",
    "embedFooter": "{guild_name}",
    "embedFooterIcon": "{guild_icon}",
    "embedTimestamp": false,
    "embedColour": "",
    "fields": []
  },
  "defaultTicketCategory": "General Support",
  "selectorDropdownMessage": "Please choose the appropriate category",
  "ghostPingMessage": "{ticket_user}",
  "ticketCreationMessage": "Successfully created your ticket @ {ticket_channel}",
  "transcriptChannelName": "ticket-logs",
  "sendTranscriptToUser": true,
  "userTranscriptTitle": ":warning: Ticket Closed :warning:",
  "userTranscriptDesription": [
    "**Channel:** {0}",
    "**Ticket User:** {1}",
    "**Closed By:** {2}",
    "**Reason:** {3}",
    " ",
    "`Last Few Messages:`",
    "```{4}```",
    "View the full transcript by typing `{5}`"
  ],
  "userTranscriptFooter": "We hope your issue was solved!",
  "ticketCooldownDuration": 60,
  "ticketCooldownTimeUnit": "SECONDS",
  "onlyTickets": "⚠ **This can only be used in a ticket!**",
  "canMembersAddUsersToTheirTicket": true,
  "cannotAddUserToTicket": "⚠ **You do not have permission to add users to this ticket!**",
  "cannotRemoveUserToTicket": "⚠ **You do not have permission to remove users from this ticket!**",
  "addedUserToTicket": "👍 **Successfully added {member_mention} to this ticket!**",
  "removedUserFromTicket": "👍 **Successfully removed {member_mention} to this ticket!**",
  "ticketBanned": "🔨 **You cannot make tickets while being ticket banned!**",
  "ticketGroups": [
    {
      "groupName": "owner",
      "roleIds": [
        0
      ]
    },
    {
      "groupName": "admin",
      "roleIds": [
        0
      ]
    }
  ],
  "closeReason": "None provided",
  "singleDiscordCategory": false,
  "singleDiscordCategoryName": "Tickets"
}
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mantic.dev/server-bot/config-files/ticketsettings-json.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
